> For the complete documentation index, see [llms.txt](https://docs.verified.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verified.network/reference/verified-sdk/staking-to-invest/market-maker-functions.md).

# Market maker functions

List of liquidity pool managers is returned by the [`getPlatforms`](#check-accepted-tokens) function on the Liquidity contract. Making the offer of liquidity is by calling the [`offer`](#request-exchange-of-verified-cash-tokens) function on the Liquidity pool manager contracts  that are deployed for each connected Defi platform such as Balancer.&#x20;

### **Get list of Liquidity pool managers**

`getPlatforms()`

this function returns a tuple of liquidity providers with each element containing an array comprising of &#x20;

| Return parameter | Description                                    |
| ---------------- | ---------------------------------------------- |
| \_platformName   | name of connected Defi platform                |
| \_address        | address of liquidity pool manager              |
| \_isin           | identifier of security token in liquidity pool |

### **Offer liquidity**&#x20;

`offer(_owned, _isin, _offered, _tomatch, _desired, _min)`

<table data-header-hidden><thead><tr><th width="323.81975071907954">Function parameter</th><th>Description</th></tr></thead><tbody><tr><td>Function parameter</td><td>Description</td></tr><tr><td>_owned</td><td>address of offered asset</td></tr><tr><td>_isin</td><td>identifier of security token for which offer of liquidity is made</td></tr><tr><td>_offered</td><td>amount of asset offered as liquidity</td></tr><tr><td>_tomatch</td><td>address of security token for which offer of liquidity is made</td></tr><tr><td>_desired</td><td>amount of security tokens desired in exchange for offered liquidity</td></tr><tr><td>_min</td><td>minimum amount of security tokens desired in exchange for offered liquidity</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verified.network/reference/verified-sdk/staking-to-invest/market-maker-functions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
